DKBSignDocs

API reference

POSTPublic

Reset password

/api/v1/password/reset

Consume the token from the reset email. On success the password is changed and all Sanctum tokens are revoked.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
email
Required
stringAccount email.
e.g. "user@acme.test"
token
Required
stringToken from the reset email.
e.g. "abc123"
password
Required
stringNew password (same strength rules as register).
e.g. "N3w-P@ssw0rd"

Responses

StatusMeaning
200Password reset successfully
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/password/reset' \
  -H 'Content-Type: application/json' \
  -d '{"email":"user@acme.test","token":"abc123","password":"N3w-P@ssw0rd"}'

Response 200

json
{
  "status": "success",
  "message": "Password reset successfully"
}